# Interface FeatureBlockInterface<R>

#### Type Parameters

- #### R

#### Hierarchy

- FeatureBlockInterface

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:28

#####
Index

### Properties

blockId
blockShortName?
blockTitle?
featureViewConfig

## Properties

### blockId

blockId: string

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:29

### `Optional` blockShortName

blockShortName?: string

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:31

### `Optional` blockTitle

blockTitle?: string

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:30

### featureViewConfig

featureViewConfig: FeatureViewInterface<R> | FeatureViewInterface<R>[]

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:32

Generated using TypeDoc